Skip to main content
GET
List incidents

Authorizations

Authorization
string
header
required

An Igris API key. It acts with the current role and permission overrides of the member who created it.

Query Parameters

limit
integer
default:50

Page size. Default 50, max 200.

Required range: 1 <= x <= 200
cursor
string

The meta.nextCursor value from the previous page.

status
enum<string>
Available options:
open,
investigating,
resolved
severity
enum<string>
Available options:
critical,
high,
medium,
low,
info
category
enum<string>
Available options:
denial,
anomaly,
session
anomalyType
string

Snake_case detector id, such as rate_spike.

q
string

Matches title, summary, actor, or connection.

Response

A page of incidents.

data
object[]
meta
object